// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: StackOverflowCheck.java
package com.oracle.svm.core.stack;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class StackOverflowCheck_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "StackRedZoneSize": {
            return OptionDescriptor.create(
                /*name*/ "StackRedZoneSize",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Integer.class,
                /*help*/ "Size (in bytes) of the red zone reserved at the end of the stack. This stack space can only be used by critical VM code and C code, e.g., to report fatal errors.",
                /*declaringClass*/ StackOverflowCheck.Options.class,
                /*fieldName*/ "StackRedZoneSize",
                /*option*/ StackOverflowCheck.Options.StackRedZoneSize,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "StackYellowZoneSize": {
            return OptionDescriptor.create(
                /*name*/ "StackYellowZoneSize",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Integer.class,
                /*help*/ "Size (in bytes) of the yellow zone reserved at the end of the stack. This stack space is reserved for VM use and cannot be used by the application.",
                /*declaringClass*/ StackOverflowCheck.Options.class,
                /*fieldName*/ "StackYellowZoneSize",
                /*option*/ StackOverflowCheck.Options.StackYellowZoneSize,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 2;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("StackRedZoneSize");
                    case 1: return get("StackYellowZoneSize");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
