// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: GraalFeature.java
package com.oracle.svm.graal.hosted;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class GraalFeature_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "EnforceMaxRuntimeCompileMethods": {
            return OptionDescriptor.create(
                /*name*/ "EnforceMaxRuntimeCompileMethods",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Enforce checking of maximum number of methods allowed for runtime compilation. Useful for checking in the gate that the number of methods does not go up without a good reason.",
                /*declaringClass*/ GraalFeature.Options.class,
                /*fieldName*/ "EnforceMaxRuntimeCompileMethods",
                /*option*/ GraalFeature.Options.EnforceMaxRuntimeCompileMethods,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "MaxRuntimeCompileMethods": {
            return OptionDescriptor.create(
                /*name*/ "MaxRuntimeCompileMethods",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ com.oracle.svm.core.option.LocatableMultiOptionValue.Strings.class,
                /*help*/ "Maximum number of methods allowed for runtime compilation.",
                /*declaringClass*/ GraalFeature.Options.class,
                /*fieldName*/ "MaxRuntimeCompileMethods",
                /*option*/ GraalFeature.Options.MaxRuntimeCompileMethods,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "PrintRuntimeCompileMethods": {
            return OptionDescriptor.create(
                /*name*/ "PrintRuntimeCompileMethods",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Print call tree of methods available for runtime compilation",
                /*declaringClass*/ GraalFeature.Options.class,
                /*fieldName*/ "PrintRuntimeCompileMethods",
                /*option*/ GraalFeature.Options.PrintRuntimeCompileMethods,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 3;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("EnforceMaxRuntimeCompileMethods");
                    case 1: return get("MaxRuntimeCompileMethods");
                    case 2: return get("PrintRuntimeCompileMethods");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
