// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: ServiceLoaderFeature.java
package com.oracle.svm.hosted;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class ServiceLoaderFeature_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "ServiceLoaderFeatureExcludeServiceProviders": {
            return OptionDescriptor.create(
                /*name*/ "ServiceLoaderFeatureExcludeServiceProviders",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ com.oracle.svm.core.option.LocatableMultiOptionValue.Strings.class,
                /*help*/ "Comma-separated list of service providers that should be excluded",
                /*declaringClass*/ ServiceLoaderFeature.Options.class,
                /*fieldName*/ "ServiceLoaderFeatureExcludeServiceProviders",
                /*option*/ ServiceLoaderFeature.Options.ServiceLoaderFeatureExcludeServiceProviders,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "ServiceLoaderFeatureExcludeServices": {
            return OptionDescriptor.create(
                /*name*/ "ServiceLoaderFeatureExcludeServices",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ com.oracle.svm.core.option.LocatableMultiOptionValue.Strings.class,
                /*help*/ "Comma-separated list of services that should be excluded",
                /*declaringClass*/ ServiceLoaderFeature.Options.class,
                /*fieldName*/ "ServiceLoaderFeatureExcludeServices",
                /*option*/ ServiceLoaderFeature.Options.ServiceLoaderFeatureExcludeServices,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "TraceServiceLoaderFeature": {
            return OptionDescriptor.create(
                /*name*/ "TraceServiceLoaderFeature",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "When enabled, each service loader resource and class will be printed out to standard output",
                /*declaringClass*/ ServiceLoaderFeature.Options.class,
                /*fieldName*/ "TraceServiceLoaderFeature",
                /*option*/ ServiceLoaderFeature.Options.TraceServiceLoaderFeature,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "UseServiceLoaderFeature": {
            return OptionDescriptor.create(
                /*name*/ "UseServiceLoaderFeature",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Automatically register services for run-time lookup using ServiceLoader",
                /*declaringClass*/ ServiceLoaderFeature.Options.class,
                /*fieldName*/ "UseServiceLoaderFeature",
                /*option*/ ServiceLoaderFeature.Options.UseServiceLoaderFeature,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 4;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("ServiceLoaderFeatureExcludeServiceProviders");
                    case 1: return get("ServiceLoaderFeatureExcludeServices");
                    case 2: return get("TraceServiceLoaderFeature");
                    case 3: return get("UseServiceLoaderFeature");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
