// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: ClassInitializationOptions.java
package com.oracle.svm.hosted.classinitialization;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class ClassInitializationOptions_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "AssertInitializationSpecifiedForAllClasses": {
            return OptionDescriptor.create(
                /*name*/ "AssertInitializationSpecifiedForAllClasses",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Assert class initialization is specified for all classes.",
                /*declaringClass*/ ClassInitializationOptions.class,
                /*fieldName*/ "AssertInitializationSpecifiedForAllClasses",
                /*option*/ ClassInitializationOptions.AssertInitializationSpecifiedForAllClasses,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "ClassInitialization": {
            return OptionDescriptor.create(
                /*name*/ "ClassInitialization",
                /*optionType*/ OptionType.User,
                /*optionValueType*/ com.oracle.svm.core.option.LocatableMultiOptionValue.Strings.class,
                /*help*/ "A comma-separated list of classes appended with their initialization strategy (':build_time', ':rerun', or ':run_time')",
                /*declaringClass*/ ClassInitializationOptions.class,
                /*fieldName*/ "ClassInitialization",
                /*option*/ ClassInitializationOptions.ClassInitialization,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "PrintClassInitialization": {
            return OptionDescriptor.create(
                /*name*/ "PrintClassInitialization",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Prints class initialization info for all classes detected by analysis.",
                /*declaringClass*/ ClassInitializationOptions.class,
                /*fieldName*/ "PrintClassInitialization",
                /*option*/ ClassInitializationOptions.PrintClassInitialization,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "UseNewExperimentalClassInitialization": {
            return OptionDescriptor.create(
                /*name*/ "UseNewExperimentalClassInitialization",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Use new class initialization strategy that allows all classes to be used at image build time.",
                /*declaringClass*/ ClassInitializationOptions.class,
                /*fieldName*/ "UseNewExperimentalClassInitialization",
                /*option*/ ClassInitializationOptions.UseNewExperimentalClassInitialization,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 4;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("AssertInitializationSpecifiedForAllClasses");
                    case 1: return get("ClassInitialization");
                    case 2: return get("PrintClassInitialization");
                    case 3: return get("UseNewExperimentalClassInitialization");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
