// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: DashboardOptions.java
package com.oracle.svm.hosted.dashboard;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class DashboardOptions_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "DashboardAll": {
            return OptionDescriptor.create(
                /*name*/ "DashboardAll",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "In the dashboard dump, include all available information about the native image (this takes precedence over more specific flags).",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardAll",
                /*option*/ DashboardOptions.DashboardAll,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardBgv": {
            return OptionDescriptor.create(
                /*name*/ "DashboardBgv",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Set dashboard to use BGV format for dump.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardBgv",
                /*option*/ DashboardOptions.DashboardBgv,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardCode": {
            return OptionDescriptor.create(
                /*name*/ "DashboardCode",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "In the dashboard dump, include the breakdown of the code size across different packages.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardCode",
                /*option*/ DashboardOptions.DashboardCode,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardDump": {
            return OptionDescriptor.create(
                /*name*/ "DashboardDump",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ String.class,
                /*help*/ "Enable dashboard dumps to the specified file.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardDump",
                /*option*/ DashboardOptions.DashboardDump,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardHeap": {
            return OptionDescriptor.create(
                /*name*/ "DashboardHeap",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "In the dashboard dump, include the breakdown of the object sizes in the heap across different classes.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardHeap",
                /*option*/ DashboardOptions.DashboardHeap,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardJson": {
            return OptionDescriptor.create(
                /*name*/ "DashboardJson",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Set dashboard to use JSON format for dump.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardJson",
                /*option*/ DashboardOptions.DashboardJson,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardPointsTo": {
            return OptionDescriptor.create(
                /*name*/ "DashboardPointsTo",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "In the dashboard dump, include the information about the points-to analysis.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardPointsTo",
                /*option*/ DashboardOptions.DashboardPointsTo,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "DashboardPretty": {
            return OptionDescriptor.create(
                /*name*/ "DashboardPretty",
                /*optionType*/ OptionType.Expert,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Set dashboard to use pretty print in JSON format.",
                /*declaringClass*/ DashboardOptions.class,
                /*fieldName*/ "DashboardPretty",
                /*option*/ DashboardOptions.DashboardPretty,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 8;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("DashboardAll");
                    case 1: return get("DashboardBgv");
                    case 2: return get("DashboardCode");
                    case 3: return get("DashboardDump");
                    case 4: return get("DashboardHeap");
                    case 5: return get("DashboardJson");
                    case 6: return get("DashboardPointsTo");
                    case 7: return get("DashboardPretty");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
