// CheckStyle: stop header check
// CheckStyle: stop line length check
// GENERATED CONTENT - DO NOT EDIT
// Source: TruffleFeature.java
package com.oracle.svm.truffle;

import java.util.*;
import org.graalvm.compiler.options.*;
import org.graalvm.compiler.options.OptionType;

public class TruffleFeature_OptionDescriptors implements OptionDescriptors {
    @Override
    public OptionDescriptor get(String value) {
        switch (value) {
        // CheckStyle: stop line length check
        case "PrintStaticTruffleBoundaries": {
            return OptionDescriptor.create(
                /*name*/ "PrintStaticTruffleBoundaries",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Print truffle boundaries found during the analysis",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "PrintStaticTruffleBoundaries",
                /*option*/ TruffleFeature.Options.PrintStaticTruffleBoundaries,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "TruffleCheckBlackListedMethods": {
            return OptionDescriptor.create(
                /*name*/ "TruffleCheckBlackListedMethods",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Fail if a method known as not suitable for partial evaluation is reachable for runtime compilation",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "TruffleCheckBlackListedMethods",
                /*option*/ TruffleFeature.Options.TruffleCheckBlackListedMethods,
                /*deprecated*/ true,
                /*deprecationMessage*/ "");
        }
        case "TruffleCheckBlockListMethods": {
            return OptionDescriptor.create(
                /*name*/ "TruffleCheckBlockListMethods",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Fail if a method known as not suitable for partial evaluation is reachable for runtime compilation",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "TruffleCheckBlockListMethods",
                /*option*/ TruffleFeature.Options.TruffleCheckBlockListMethods,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "TruffleCheckFrameImplementation": {
            return OptionDescriptor.create(
                /*name*/ "TruffleCheckFrameImplementation",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Enforce that the Truffle runtime provides the only implementation of Frame",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "TruffleCheckFrameImplementation",
                /*option*/ TruffleFeature.Options.TruffleCheckFrameImplementation,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "TruffleCheckNeverPartOfCompilation": {
            return OptionDescriptor.create(
                /*name*/ "TruffleCheckNeverPartOfCompilation",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Check that CompilerAsserts.neverPartOfCompilation is not reachable for runtime compilation",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "TruffleCheckNeverPartOfCompilation",
                /*option*/ TruffleFeature.Options.TruffleCheckNeverPartOfCompilation,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        case "TruffleInlineDuringParsing": {
            return OptionDescriptor.create(
                /*name*/ "TruffleInlineDuringParsing",
                /*optionType*/ OptionType.Debug,
                /*optionValueType*/ Boolean.class,
                /*help*/ "Inline trivial methods in Truffle graphs during native image generation",
                /*declaringClass*/ TruffleFeature.Options.class,
                /*fieldName*/ "TruffleInlineDuringParsing",
                /*option*/ TruffleFeature.Options.TruffleInlineDuringParsing,
                /*deprecated*/ false,
                /*deprecationMessage*/ "");
        }
        // CheckStyle: resume line length check
        }
        return null;
    }

    @Override
    public Iterator<OptionDescriptor> iterator() {
        return new Iterator<>() {
            int i = 0;
            @Override
            public boolean hasNext() {
                return i < 6;
            }
            @Override
            public OptionDescriptor next() {
                switch (i++) {
                    case 0: return get("PrintStaticTruffleBoundaries");
                    case 1: return get("TruffleCheckBlackListedMethods");
                    case 2: return get("TruffleCheckBlockListMethods");
                    case 3: return get("TruffleCheckFrameImplementation");
                    case 4: return get("TruffleCheckNeverPartOfCompilation");
                    case 5: return get("TruffleInlineDuringParsing");
                }
                throw new NoSuchElementException();
            }
        };
    }
}
